<template>
  <form @submit.prevent>
          <h4>adding productsite (reload page to see red id)</h4>
    <select class="box" v-model="productsite.productsite_name">
      <option disabled value="">Select productsite_name</option>
      <option>PTM</option>
      <option>Tableting</option>
      <option>Coating</option>
      <option>Capsuling</option>
      <option>Jar</option>
      <option>Blister</option>
      <option>Сardboard machine</option>
    </select>
          <my-button
          style="align-self: flex-end; margin-top: 15px"
          @click="createProductsite"
          >Add</my-button>
          <h4>rename productsite</h4>
    <select class="box" v-model="productsite.productsite_name">
      <option disabled value="">Select productsite_name</option>
      <option>PTM</option>
      <option>Tableting</option>
      <option>Coating</option>
      <option>Capsuling</option>
      <option>Jar</option>
      <option>Blister</option>
      <option>Сardboard machine</option>
    </select>
    <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px; color:#FF0000" class="box" v-model="productsite.productsite_id">
      <option disabled value="">Select id (red integer)</option>
      <option>1</option>
      <option>2</option>
      <option>3</option>
      <option>4</option>
      <option>5</option>
      <option>6</option>
      <option>7</option>
      <option>8</option>
      <option>9</option>
      <option>10</option>
    </select>
          <my-button
              style="align-self: flex-end; margin-top: 15px"
              @click="updateProductsite"
          >Update</my-button>
  </form>
</template>



<script>
import axios from 'axios';

export default {
  data() {
    return {
      productsite: {
        productsite_name: '',
        productsite_id: ''
      }
    }
  },
  methods: {
    async createProductsite() {
      this.$emit('create', this.productsite)
      await axios.post('http://pharm.host/pharm/productsites/add',
          {productsite_name: this.productsite.productsite_name})
      this.productsite = {
        productsite_name: ''
      }
    },
    async updateProductsite() {
      await axios.put('http://pharm.host/pharm/productsites/update', this.productsite)
      this.productsite = {
        productsite_name: '',
        productsite_id: ''
      }
      alert('reload the page to see the changes')
    }
  }
}
</script>


<style scoped>
form {
  display: flex;
  flex-direction: column;
}
.box {
  padding: 10px 15px;
  background: none;
  color: black;
  border: 1px solid black;
  border-radius: 3px;
  box-shadow: 3px 3px #ccc;
}
</style>